import { PropType } from 'vue';
export declare const Optional: import("vue").DefineComponent<{
    required: BooleanConstructor;
    value: null;
    isReadOnly: BooleanConstructor;
    theme: {
        type: PropType<{
            card: string;
            row: string;
            errorRow: string;
            input: string;
            errorInput: string;
            textarea: string;
            errorTextarea: string;
            checkbox: string;
            radiobox: string;
            button: string;
            buttonGroup: string;
            title: string;
            description: string;
            select: string;
        }>;
        required: true;
    };
    locale: {
        type: PropType<{
            button: {
                collapse: string;
                expand: string;
                add: string;
                delete: string;
            };
            error: {
                minLength: string;
                maxLength: string;
                pattern: string;
                minimum: string;
                maximum: string;
                largerThan: string;
                smallerThan: string;
                minItems: string;
                uniqueItems: string;
                multipleOf: string;
                minProperties: string;
                maxProperties: string;
            };
            info: {
                notExists: string;
                true: string;
                false: string;
                search: string;
            };
            markdownTipLocale: any;
            fileUploaderLocale: {
                dragAndDrop: string;
                selectFile: string;
                pasteFromClipboard: string;
            };
        }>;
        required: true;
    };
}, unknown, unknown, {
    hasOptionalCheckbox(): boolean;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    theme: {
        card: string;
        row: string;
        errorRow: string;
        input: string;
        errorInput: string;
        textarea: string;
        errorTextarea: string;
        checkbox: string;
        radiobox: string;
        button: string;
        buttonGroup: string;
        title: string;
        description: string;
        select: string;
    };
    required: boolean;
    isReadOnly: boolean;
    locale: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
} & {
    value?: any;
}>, {
    required: boolean;
    isReadOnly: boolean;
}>;
